Set SeasLog request_id differentiated requests

- « SeasLog::setLogger

- SeasLog::setRequestVariable »

- PHP Manual
- SeasLog
- Set SeasLog request_id differentiated requests

# SeasLog::setRequestID

(PECL seaslog >=1.0.0)

SeasLog::setRequestID — Set SeasLog request_id differentiated requests

### Description

public static SeasLog::setRequestID(string `$request_id`): bool

To distinguish a single request, such as not invoking the SeasLog::setRequestId() function， the unique value generated by the built-in `static char *get_uniqid ()` function is used when the request is initialized.

### Parameters

`request_id`

  String.

### Return Values

Return TRUE on set request_id success, FALSE on failure.

### Examples

Example #1 SeasLog::setRequestID() example

    <?php

    var_dump(SeasLog::setRequestID(time() . rand()));

    ?>

The above example will output something similar to:

    bool(true)

### See Also

- SeasLog::getRequestID() - Get SeasLog request_id differentiated requests